pydo.ssh_keys.update()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.ssh_keys.update(
ssh_key_identifier=512189,
body={
"name": "My SSH Public Key",
},
)Description
To update the name of an SSH key, send a PUT request to either /v2/account/keys/{ssh_key_identifier} or /v2/account/keys/{ssh_key_identifier}. Set the name attribute to the new name you want to use.
Parameters
ssh_key_identifierobject requiredEither the ID or the fingerprint of an existing SSH key.
namestring optionalExample:
My SSH Public KeyA human-readable display name for this key, used to easily identify the SSH keys when they are displayed.
Request Sample
Response Example
More Information
See /v2/account/keys/{ssh_key_identifier} in the API reference for additional detail on responses, headers, parameters, and more.